<?php
include "ver_sessao.php";
include "conecta.php";



// GARANTE QUE O ID DO USUÁRIO VAI SEMPRE EXISTIR NA SESSÃO
if ( intval($_SESSION[user_nb_id]) == 0 ) {

	echo "ERRO: Sessão expirada!";
	exit;
}





function raiz_ncm($ncm_original) {

	$qtde = strlen($ncm_original);

	$retorno = $ncm_original;
	for ($i=0; $i<$qtde; $i++) {
		// REMOVE UM DÍGITO ATÉ LOCALIZAR O CEST
		$retorno = substr($ncm_original,0,($qtde-$i));
		// echo "TESTANDO: $retorno DE |$ncm_original|<hr>";
		$sql_cest = selecionar('cest','cest_tx_status',"!inativo"," AND cest_tx_ncm LIKE '$retorno' ");
		if (num_linhas($sql_cest)>0)
			break;
	}

	return $retorno;
}





function cadastra_produto(){
	global $CONFIGURA;

	// NAO DEIXA CADASTRAR CATEGORIA EM BRANCO
	if( intval($_POST[categoria]) == 0  ) 
		$_POST[categoria] = 1;
	
	if($_POST[codbarras] != ''){

		if ( !$_POST[id] ) {
			// VERIFICA SE O CÓDIGO JÁ FOI CADASTRADO
			$sql_prod = selecionar('produto','prod_tx_status',"!inativo"," AND prod_tx_codbarras LIKE '$_POST[codbarras]' LIMIT 1 ");
			if ( num_linhas($sql_prod)>0 ) {
				set_status('ATENÇÃO: Código de barras já cadastrado com outro produto!');
				layout_produto();
				exit;
			}

		} else {

			// VERIFICA SE O CÓDIGO JÁ FOI CADASTRADO
			$sql_prod = selecionar('produto','prod_tx_status',"!inativo"," AND prod_nb_id != '$_POST[id]' AND prod_tx_codbarras LIKE '$_POST[codbarras]' LIMIT 1 ");
			if ( num_linhas($sql_prod)>0 ) {
				set_status('ATENÇÃO: Código de barras já cadastrado com outro produto!');
				modifica_produto();
				exit;
			}
		}
	}

	if ($_POST[unidade]=='') {
		set_status('ATENÇÃO: Informe uma unidade de medida!');
		if ( !$_POST[id] )
			layout_produto();
		else
			modifica_produto();
		exit;
	}

	$a_imposto = carregar('impo_tx_codigo,impo_nb_id|imposto',$_POST[imposto]);

	$sql_tributacao = selecionar('tributacao,imposto','impo_tx_status,trib_tx_status','ativo,!inativo'," AND impo_tx_codigo='$a_imposto[impo_tx_codigo]' AND impo_tx_tipo = 'ncm'");
	if(num_linhas($sql_tributacao)==0){
		inserir('tributacao',
				array(trib_nb_empresa,trib_nb_imposto,trib_tx_status),
				array(1,$a_imposto[1],'aguardando'),
				1
			);
	}

	if ($_POST[cest]>0) {
		$a_cest = carregar('cest',$_POST[cest]);
		$numero_cest = $a_cest[cest_tx_cest];
	} else {
		$numero_cest = '';
	}

	
	$campos = array(prod_tx_codbarras,prod_tx_nome,prod_nb_marca,prod_nb_categoria,prod_nb_unidade,prod_tx_valorCusto,prod_tx_margem,
		prod_tx_valorVenda,prod_tx_descontoMaximo,prod_tx_estoqueMin,prod_tx_dataMargem,prod_nb_origem,prod_nb_cst,
		prod_tx_icms,prod_tx_pis,prod_tx_cofins,prod_tx_pesoLiquido,prod_tx_pesoBruto,prod_tx_ncm,prod_tx_cfop,prod_tx_cest,prod_nb_cest,prod_tx_cozinha,prod_tx_status,
		prod_tx_totalTributo,prod_tx_extipi,prod_tx_caixa,prod_tx_tipo,prod_tx_codigo);
	
	$valores=array($_POST[codbarras],$_POST[nome],$_POST[marca],$_POST[categoria],$_POST[unidade],valor($_POST[valorCusto]),valor($_POST[margem]),
		valor($_POST[precoVenda]),valor($_POST[descontoMaximo]),valor($_POST[estoqueMin]),gera_data($_POST[dataMargem],1),$_POST[origem],$_POST[cst],
		valor($_POST[icms]),valor($_POST[pis]),valor($_POST[cofins]),valor($_POST[pesoLiq]),valor($_POST[pesoBru]),$a_imposto[0],$_POST[cfop],$numero_cest,$_POST[cest],$_POST[cozinha],'ativo',
		valor($_POST[totalTributo]),$_POST[extipi],$_POST[caixa],$_POST[tipo],$_POST[prod_id]);

	// if ($CONFIGURA[MODO_RESTAURANTE] == 'SIM') {
		array_push($campos, prod_nb_impressora);
		array_push($valores, $_POST[impressora]);
	// }


	if( !$_POST[id] ) {
		array_push($campos, prod_tx_qtde);
		array_push($valores, valor($_POST[estoqueAtual]));
		inserir('produto',$campos,$valores,1);
		$_POST[id] = ultimo_reg('produto');
		registro_cactus("CADASTRO DE PRODUTO: $_POST[id] - $_POST[nome] - ESTOQUE: ".($_POST[estoqueAtual]),$_POST[id]);

	} else{

		$a=carregar('historico','','hist_nb_produto',$_POST[id],'ORDER BY hist_nb_id DESC');

		// VERIFICA SE HOUVE ALGUMA ALTERAÇÃO PARA REGISTRAR NO HISTÓRICO
		if( $a[hist_tx_valorCusto]!=valor($_POST[valorCusto]) || $a[hist_tx_valorVenda]!=valor($_POST[precoVenda]) || $a[hist_tx_margem]!=valor($_POST[margem]) ){
			
			$cam = array('hist_nb_produto','hist_tx_valorCusto','hist_tx_valorVenda','hist_tx_margem','hist_tx_dataMargem','hist_nb_user','hist_tx_dataCadastro','hist_tx_status');
			$val = array($_POST[id],valor($_POST[valorCusto]),valor($_POST[precoVenda]),valor($_POST[margem]),date('Y-m-d'),$_SESSION[user_nb_id],date("Y-m-d H:i:s"),'ativo');
			inserir('historico',$cam,$val,1);
		}

		atualizar('produto',$campos,$valores,$_POST[id]);
	}




	// APENAS PARA A VERSÃO NFE DA QUALIVITA
	// if ( $CONFIGURA[NOME_SISTEMA]=='QUALIVITA NFE' ) {		
			
		$valorPlanoUnt = $_POST[valorPlanoUnt];
		$valorPlanoEmb = $_POST[valorPlanoEmb];
		$id_plano = $_POST[id_plano];
		
		//CADASTRAR PRODUTO PARA O PLANO
		$sql = selecionar('convenio','conv_tx_status','!inativo');
		$total = num_linhas($sql);
		
		
		for($i=0; $i<$total; $i++){

			$sql_mod = selecionar('preco,produto,convenio','prod_nb_id,conv_nb_id',"$_POST[id],$id_plano[$i]");
			$a = num_linhas($sql_mod);
		

			$campos = array(prec_nb_produto,prec_nb_convenio,prec_tx_valorUnit,prec_tx_valorEmb,prec_tx_status);
			$valores = array($_POST[id],$id_plano[$i],valor($valorPlanoUnt[$i]),valor($valorPlanoEmb[$i]),ativo);
				
			if( $a == ''){
				inserir('preco',$campos,$valores,1);
			} else {
				$a_mod = carrega_array($sql_mod);
				atualizar('preco',$campos,$valores,$a_mod[prec_nb_id]);
			}
		}

	// }
	
	unset($campos,$valores);

	$pasta = intval($_POST[id]/100) * 100;
	$diretorio = $_SERVER[DOCUMENT_ROOT].$CONFIGURA[PATH].'arquivos/produtos/'.$pasta.'/';
	@mkdir("$diretorio");

	for ($i=1; $i < 5; $i++) { 

		$msg = enviar('imagem'.$i,$CONFIGURA[PATH].'arquivos/produtos/'.$pasta.'/',"$_POST[id]-$i",1);
		// echo $msg;
		if( !bd_erro($msg) ){

			$nome_campo = 'prod_tx_arquivo' . $i;

			$campos[] = "$nome_campo";
			$valores[] = basename($msg);

		}
	}
	
	if( count($valores) > 0 )
		atualizar('produto',$campos,$valores,$_POST[id]);

	
	index();
	exit;
	
}


function modifica_produto(){
	
	global $a_mod;
	
	if($_POST[id])
		$_POST[produto] = $_POST[id];
	
	$a_mod = carregar('produto,cst,categoria',$_POST[id]);

	layout_produto();
	exit;
	
}


function exclui_produto(){
	
	remover('produto',$_POST[id]);
	index();
	exit;	
}


function layout_fornecedores(){
	$a_mod=carregar('produto,categoria',$_POST[id]);

	$c[] = cactux::texto('Nome:',$a_mod[prod_tx_nome],3);
	$c[] = cactux::texto('Categoria:',$a_mod[cate_tx_nome],2);
	$c[] = cactux::texto('Cód. Barras:',$a_mod[prod_tx_codbarras],2);

	$b2 = cactux::botao('Voltar',2,'voltar');

	cabecalho('Cadastro de Produtos',2);
	
	cactux::abre_form();
	cactux::abre_fieldset('Dados do Produto');
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	cactux::linha_fieldset($b2);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	acao_botao('voltar','modifica_produto','id',$_POST[id]);

	$sql = selecionar('lifornecedor,entidade','lifo_tx_status','ativo'," AND lifo_nb_produto = '$_POST[id]' ORDER BY enti_tx_nome ASC");
	while($a=carrega_array($sql)){

		$val[] = array(++$i,$a[enti_tx_nome],$a[lifo_tx_codigo]);
	}
	
	$cab[] = array('','FORNECEDOR','CÓDIGO');
	$cab[] = 'c,e,c';
	$cab[] = '10%,,30%';

	grid::gerar($cab,$val);

	exit;

}

function sugere_valor() {

// print_r($_GET);
	
	$margem = valor($_GET[margem]);
	$custo = valor($_GET[custo]);


	if( $_GET[tipo] == 'categoria' ) {
	
		if ( $_GET[categoria]>0 )
			$a = carregar('categoria',$_GET[categoria]);

		javascript("window.parent.document.cadastro.margem.value = '".mostra_valor($a[cate_tx_margem])."';");
		javascript("window.parent.document.cadastro.descontoMaximo.value = '".mostra_valor($a[cate_tx_desconto])."';");
	
		if( $custo == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem custo! Apenas Categoria!";
			return;
		}

		@$preco = $custo * (1+($a[cate_tx_margem]/100)); 
		
	}

	if( $_GET[tipo] == 'margem' ) {
	
		if( $custo == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem custo! Apenas margem!";
			return;
		}

		@$preco = $custo * (1+($margem/100)); 
		
	}

	if( $_GET[tipo] == 'custo' ) {
	
		if( $margem == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem margem! Apenas custo!";
			return;
		}

		@$preco = $custo * (1+($margem/100)); 
		
	}
	
	
	
if ($preco>0)
	javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '".mostra_valor($preco)."'; ");
else
	javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;'; ");

exit;


}






function carregar_cest() {
	
	$id_ncm = intval($_GET[id_ncm]);
	if ( $id_ncm>0 ) {
		$a_imposto = carregar('imposto',$id_ncm);	
		$ncm_raiz = raiz_ncm($a_imposto[impo_tx_codigo]);

		$extra_cest = " cest_tx_ncm LIKE '$ncm_raiz' ";

		// REALIZA ESSA CONSULTA PARA VERIFICAR SE O NCM SELECIONADO POSSUI CEST
		$sql_cest = selecionar('cest','cest_tx_status',"!inativo"," AND $extra_cest LIMIT 1 ");
		if (num_linhas($sql_cest)>0) {
			$cest = cactux::combo_bd('!CEST:','cest','','',6,"cest_nb_id, CONCAT(cest_tx_cest,' - ',cest_tx_nome)|cest",''," $extra_cest ");
			cactux::linha_fieldset($cest);
		}
	}
}





function layout_produto(){
	global $CONFIGURA;	
	global $a_mod;
	

	?>
	

<!-- The Modal -->
<div id="myModal" class="modal">

  <!-- Modal content -->
  <div class="modal-content">
    <div class="modal-header">
      <span class="close">×</span>
      <h2>ATENÇÃO!</h2>
    </div>
    <div class="modal-body">
      <p>Deseja realmente alterar o valor do estoque atual?</p>
      <p></p>
    </div>
  </div>

</div>

	<style>
		/* The Modal (background) */
		.modal {
		    display: none; /* Hidden by default */
		    position: fixed; /* Stay in place */
		    z-index: 1; /* Sit on top */
		    padding-top: 100px; /* Location of the box */
		    left: 0;
		    top: 0;
		    width: 100%; /* Full width */
		    height: 100%; /* Full height */
		    overflow: auto; /* Enable scroll if needed */
		    background-color: rgb(0,0,0); /* Fallback color */
		    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
		}

		/* Modal Content */
		.modal-content {
		    position: relative;
		    background-color: #fefefe;
		    margin: auto;
		    padding: 0;
		    border: 1px solid #888;
		    width: 80%;
		    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
		    -webkit-animation-name: animatetop;
		    -webkit-animation-duration: 0.4s;
		    animation-name: animatetop;
		    animation-duration: 0.4s
		}

		/* Add Animation */
		@-webkit-keyframes animatetop {
		    from {top:-300px; opacity:0} 
		    to {top:0; opacity:1}
		}

		@keyframes animatetop {
		    from {top:-300px; opacity:0}
		    to {top:0; opacity:1}
		}

		/* The Close Button */
		.close {
		    color: white;
		    float: right;
		    font-size: 28px;
		    font-weight: bold;
		}

		.close:hover,
		.close:focus {
		    color: #000;
		    text-decoration: none;
		    cursor: pointer;
		}

		.modal-header {
		    padding: 2px 16px;
		    background-color: red;
		    color: white;
		}

		.modal-body {padding: 2px 16px;}

		.modal-footer {
		    padding: 2px 16px;
		    background-color: #5cb85c;
		    color: white;
		}
	</style>

	<?


//	frame_interno(0);
	
	if($_POST[id])
		$_POST[produto] = $_POST[id];
	if($a_mod[prod_nb_categoria])
		$a_cate = carregar('categoria',$a_mod[prod_nb_categoria]);

	if ( $a_mod[prod_nb_origem] > 0 ) {
		$a_origem = carregar('cst',$a_mod[prod_nb_origem]);
	}
	if ( $a_mod[prod_nb_cest]>0 ) {
		$a_cest = carregar('cest',$a_mod[prod_nb_cest]);
	}
	if ( $a_mod[prod_nb_marca]>0 ) {
		$a_marca = carregar('marca',$a_mod[prod_nb_marca]);
	}
	// if ( $CONFIGURA[MODO_RESTAURANTE] == 'SIM' && $a_mod[prod_nb_impressora]>0 ) {
		$a_impre = carregar('impressora',$a_mod[prod_nb_impressora]);
	// }


	$a_empresa = carregar('empresa',1);


	
	cabecalho('Produto',2);

	if ($a_mod[prod_nb_id]==0) {
		$proximo_id = ultimo_reg('produto');
		$proximo_id++;
 	} else {
		$readonly = "readonly disabled";
		$proximo_id = $a_mod[prod_nb_id];
	}


	$c[] = cactux::campo('Código:','prod_id',$a_mod[prod_tx_codigo],1,'onkeypress="return event.keyCode!=13"');
	$c[] = cactux::campo('Cód. Barras GTIN (Cód. EAN)','codbarras',$a_mod[prod_tx_codbarras],2,'onkeypress="return event.keyCode!=13"');
	$c[] = cactux::campo('* Descrição:','nome',$a_mod[prod_tx_nome],4);
	$c[] = cactux::combo_bd('!Categoria:','categoria',$a_mod[prod_nb_categoria],$a_mod[prod_nb_categoria],3,'categoria'," onchange=sugere_valor(this,'categoria')");
	

	$c2[] = cactux::combo_net('!Marca: (opcional)','marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],3,array("combonet/busca_div.php?c=marca","combonet/busca_net.php?c=marca"));
	$c2[] = cactux::combo_bd('* Unidade:','unidade',$a_mod[prod_nb_unidade],$a_mod[prod_nb_unidade],1,'unidade');
	$c2[] = cactux::campo('Embalagem:','caixa',$a_mod[prod_tx_caixa],1);
	$c2[] = cactux::campo('Estoque Atual:','estoqueAtual',mostra_valor($a_mod[prod_tx_qtde]),1,MASCARA_VALOR." $readonly");
	$c2[] = cactux::campo('Preço&nbsp;de&nbsp;Custo:','valorCusto',mostra_valor($a_mod[prod_tx_valorCusto]),2," onkeyup=mascara_reais(this);sugere_valor(this,'custo')");
	$c2[] = cactux::campo('Preço&nbsp;de&nbsp;Venda:','precoVenda',mostra_valor($a_mod[prod_tx_valorVenda]),2,MASCARA_VALOR." id=preco_venda");
	
	$c3[] = cactux::campo('Desconto&nbsp;Máximo(%):','descontoMaximo',mostra_valor($a_mod[prod_tx_descontoMaximo]),2,"id=porcentagem$contador onkeyup='mascara_reais(this);abre_desconto_porcentagem($contador);'");
	$c3[] = cactux::campo('Desconto&nbsp;Máximo(R$):','descontoMaximoReal',mostra_valor($a_mod[prod_tx_descontoMaximo]*$a_mod[prod_tx_valorVenda]/100),2,"id=real$contador onkeyup='mascara_reais(this);abre_desconto_reais($contador);'");
	$c3[] = cactux::combo('Tipo','tipo',array('Comercialização','Insumos','Consumo','Remessa','Outros'),$a_mod[prod_tx_tipo],2);
	$c3[] = cactux::combo_bd('!Impressora:','impressora',$a_impre[impr_nb_id],$a_impre[impr_tx_nome],4,'impressora');

	// $c[] = cactux::campo('Data Margem:','dataMargem',data($a_mod[prod_tx_dataMargem],1),1,MASCARA_DATA);


	if($a_mod[prod_tx_ncm]){
		$a_imposto = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto','','impo_tx_codigo',$a_mod[prod_tx_ncm]);
		$nome_imposto = "$a_imposto[1]-$a_imposto[2]";
	}
	$c4[] = cactux::combo_net('!NCM:','imposto',$a_imposto[0],$nome_imposto,7,array("$CONFIGURA[MODULO]combonet/busca_imposto_div.php?c=ncm&s=ncm","$CONFIGURA[MODULO]combonet/busca_imposto_net.php?c=ncm"),' required=required');


	$c4[] = cactux::campo('EXTIPI:','extipi',$a_mod[prod_tx_extipi],3);
	$c4[] = cactux::campo('Total Tributo(%):','totalTributo',mostra_valor($a_mod[prod_tx_totalTributo]),2);



	$pasta = intval($_POST[id]/100) * 100;

	
	// if( $a_mod[prod_tx_arquivo1] != '' )
	// 	$ver_anexo1 = "&nbsp; <a href='arquivos/produtos/".$pasta.'/'."$a_mod[prod_tx_arquivo1]' target=_blank class=relatorio>[Visualizar]</a>";
	// $c5[] = cactux::campo_arquivo('Imagem 1:'.$ver_anexo1,'imagem1',5);

	// if( $a_mod[prod_tx_arquivo2] != '' )
	// 	$ver_anexo2 = "&nbsp; <a href='arquivos/produtos/".$pasta.'/'."$a_mod[prod_tx_arquivo2]' target=_blank class=relatorio>[Visualizar]</a>";
	// $c5[] = cactux::campo_arquivo('Imagem 2:'.$ver_anexo2,'imagem2',5);

	// if( $a_mod[prod_tx_arquivo3] != '' )
	// 	$ver_anexo3 = "&nbsp; <a href='arquivos/produtos/".$pasta.'/'."$a_mod[prod_tx_arquivo3]' target=_blank class=relatorio>[Visualizar]</a>";
	// $c5[] = cactux::campo_arquivo('Imagem 3:'.$ver_anexo3,'imagem3',5);

	// if( $a_mod[prod_tx_arquivo4] != '' )
	// 	$ver_anexo4 = "&nbsp; <a href='arquivos/produtos/".$pasta.'/'."$a_mod[prod_tx_arquivo4]' target=_blank class=relatorio>[Visualizar]</a>";
	// $c5[] = cactux::campo_arquivo('Imagem 4:'.$ver_anexo4,'imagem4',5);



	if ( $a_imposto[1]!='' ) {
		$ncm_raiz = raiz_ncm($a_imposto[1]);
		$extra_cest = " cest_tx_ncm LIKE '$ncm_raiz' ";
	} else {
		$extra_cest = ' cest_tx_ncm LIKE "0" ';
	}

	$cest = cactux::combo_bd('!CEST:','cest',$a_cest[cest_nb_id],$a_cest[cest_tx_nome],7,"cest_nb_id, CONCAT(cest_tx_cest,' - ',cest_tx_nome)|cest",'',$extra_cest);


	//BOTOES
	$avancar = cactux::botao_submit('Gravar',2,'cadastra_produto','id',$_POST[id]);
	// if($a_mod)
	// 	$fornecedores = cactux::botao('Fornecedores',2,'fornecedores');
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
		
	
	cactux::abre_form('upload');
	cactux::abre_fieldset('Informações do Produto');	
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2],$c2[3],$c2[4],$c2[5]);
	cactux::linha_fieldset($c3[0],$c3[1],$c3[2],$c3[3],$c3[4]);
	
	// if($t_linha>0)
	// 	grid::gerar($cabeca,$valores);

	cactux::fecha_fieldset();
	cactux::abre_fieldset('Informações Tributárias');
	cactux::linha_fieldset($c4[0],$c4[1]);
	echo "<div id='div_cest'>";
	if ($a_cest[cest_nb_id]>0)
		cactux::linha_fieldset($cest);

	


	echo "</div>";
	// cactux::linha_fieldset($c1[2],$c1[3],$c1[4],$c1[5],$c1[6],$c1[7]);
	// cactux::linha_fieldset($c2[0],$c2[1]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Imagens');
	for ($i=1; $i <= 4; $i++) { 
		
		if( $a_mod['prod_tx_arquivo'.$i] != '' )
			$ver_anexo = "&nbsp; <a href='$CONFIGURA[PATH]arquivos/produtos/".$pasta."/".$a_mod['prod_tx_arquivo'.$i]."' target=_blank class=relatorio>[Visualizar]</a>";
		else
			$ver_anexo ='';

		$c5 = cactux::campo_arquivo('Imagem '."$i:".$ver_anexo,'imagem'.$i,5);

		++$i;

		if( $a_mod['prod_tx_arquivo'.$i] != '' )
			$ver_anexo = "&nbsp; <a href='$CONFIGURA[PATH]arquivos/produtos/".$pasta."/".$a_mod['prod_tx_arquivo'.$i]."' target=_blank class=relatorio>[Visualizar]</a>";
		else
			$ver_anexo ='';

		$c6 = cactux::campo_arquivo('Imagem '."$i:".$ver_anexo,'imagem'.$i,5);

		cactux::linha_fieldset($c5,$c6);

	}


	cactux::fecha_fieldset();


	// APENAS PARA A VERSÃO NFE DA QUALIVITA
	// if ( $CONFIGURA[NOME_SISTEMA]=='QUALIVITA NFE' ) {

		cactux::abre_fieldset('Informações para Convênio');

		$sql = selecionar('convenio','conv_tx_status','!inativo');
		$total = num_linhas($sql);


		for($i=0; $i<$total; $i++){
			$a_plano = carrega_array($sql);


				// CASO VENHA DO MODIFICAR
			if( $_POST[acao] == 'modifica_produto') 
				$sql_mod = selecionar('preco,produto','prec_nb_convenio,prod_nb_id',"$a_plano[conv_nb_id],$_POST[id]"," ORDER BY prec_nb_id DESC");
			else
				$sql_mod = selecionar('preco,produto','prod_nb_id','0');

			$a_mod1 = carrega_array($sql_mod);

			$d1 = cactux::texto('Convênio:',$a_plano[conv_tx_nome],2);
			//$d2 = cactux::campo('Valor:','valorPlano[]',mostra_valor($a_mod1[prec_tx_valor]),2,MASCARA_VALOR);
			$d2 = cactux::campo('Preço:','valorPlanoUnt[]',mostra_valor($a_mod1[prec_tx_valorUnit]),2,MASCARA_VALOR);
			// $d3 = cactux::campo('Preço Emb.:','valorPlanoEmb[]',mostra_valor($a_mod1[prec_tx_valorEmb]),2,MASCARA_VALOR);

			campo_hidden('id_plano[]',$a_plano[conv_nb_id]);

			cactux::linha_fieldset($d1,$d2,$d3);
		}
		cactux::fecha_fieldset();
	// }

	cactux::linha_fieldset($voltar,$avancar,$fornecedores,$status);
	

	// LISTA O HISTÓRICO DO PRODUTO
	$sql = selecionar('registrocactus,user,produto','',''," AND regi_nb_produto = '$_POST[id]' ORDER BY regi_nb_id DESC");
	$t_linha=num_linhas($sql);
	while($a=carrega_array($sql)){
		$valores2[]=array($a[regi_nb_id],data($a[regi_tx_data],3),$a[user_tx_login],$a[regi_tx_msg]);
	}

	$cabeca2[] = array('CÓDIGO','DATA','USUÁRIO','REGISTRO');
	$cabeca2[] = 'c,c,c,e';
	$cabeca2[] = '10%,20%,20%,';
	// $cabeca[] = '50%';


	// VERIFICA SE POSSUI ALGUM HISTÓRICO A SER LISTADO
	if ( $t_linha > 0 ) {

		echo "<br><p class='rel'><b>Registro de Estoque</b></p>";
		grid::gerar($cabeca2,$valores2);
	}

	// LISTA O HISTÓRICO DO PRODUTO
	$sql = selecionar('historico,user','hist_tx_status','!inativo'," AND hist_nb_produto = '$_POST[id]'  ORDER BY hist_nb_id DESC LIMIT 5");
	$t_linha=num_linhas($sql);
	while($a=carrega_array($sql)){
		$valores[]=array(data($a[hist_tx_dataCadastro],3),$a[user_tx_login],mostra_valor($a[hist_tx_valorCusto]),mostra_valor($a[hist_tx_margem]),mostra_valor($a[hist_tx_valorVenda],1));
	}

	$cabeca[] = array('DATA','USUÁRIO','VALOR&nbsp;CUSTO','MARGEM(%)','VALOR&nbsp;VENDA');
	$cabeca[] = ',';
	$cabeca[] = ',';
	$cabeca[] = '50%';


	// VERIFICA SE POSSUI ALGUM HISTÓRICO A SER LISTADO
	if ( $t_linha > 0 ) {

		echo "<br><p class='rel'><b>Histórico de Preços</b></p>";
		grid::gerar($cabeca,$valores);
	}

	
	cactux::fecha_form();

	$sql = selecionar('lifornecedor,entidade','lifo_tx_status','ativo'," AND lifo_nb_produto = '$_POST[id]' ORDER BY enti_tx_nome ASC");
	while($a=carrega_array($sql)){

		$val[] = array(++$i,$a[enti_tx_nome],$a[lifo_tx_codigo]);
	}
	
	$cab[] = array('','FORNECEDOR','CÓDIGO');
	$cab[] = 'c,e,c';
	$cab[] = '10%,,30%';
	
	if(count($val)>0){
		echo"<br>";
		cactux::abre_fieldset('Linha de Fornecimento');
		grid::gerar($cab,$val);
		cactux::fecha_fieldset();
	}



		
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('fornecedores','layout_fornecedores',"id",$_POST[id]);
	
	rodape();

	javascript("

		function abre_desconto_reais(contador) {

			var item_real = 'real';
			var item_porcentagem = 'porcentagem';

			if ( item_real != '' ) {

				
				var valor_unitario = valor(document.getElementById('preco_venda').value);

				var desconto_real = document.getElementById(item_real).value;
				desconto_real = valor(desconto_real);

				var porcentagem = (desconto_real*100)/valor_unitario;

				if ( porcentagem==0 ) {
					document.getElementById(item_porcentagem).value = '';
				} else {
					document.getElementById(item_porcentagem).value = porcentagem.formatMoney();
				}				
			}
		}


		function abre_desconto_porcentagem(contador) {

			// var item = document.cadastro.item.value;
			var item_real = 'real';
			var item_porcentagem = 'porcentagem';

			if ( item_porcentagem != '' ) {

				var valor_unitario = valor(document.getElementById('preco_venda').value);

				var desconto_porcentagem = document.getElementById('porcentagem').value;
				desconto_porcentagem = valor(desconto_porcentagem);

				var reais = (valor_unitario*desconto_porcentagem)/100;

				if ( reais==0 ) {
					document.getElementById(item_real).value = '';
				} else {
					document.getElementById(item_real).value = reais.formatMoney();
				}				
			}
		}



		function valor(valor){
			// FUNÇÃO PARA CONVERTER VALORES DO MONETÁRIO PARA O DA BASE DE DADOS

			v = valor.replace(\".\",\"\");
			v = v.replace(\",\",\".\");
			valor = parseFloat(v);

			if (isNaN(valor)) {
				valor = 0;
			}

			return valor;
		}


		function verifica_cest(id_ncm=0) {

			// CRIA UM
			window.document.getElementById('div_cest').innerHTML = '<div>Carregando...</div>';

			// REALIZA UMA CHAMADA EM AJAX PARA CARREGAR O COMBO BD
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.open('GET','cadastro_produto.php?".cactux_cookie::url_sistema()."&acao=carregar_cest&id_ncm='+id_ncm, true);

			xmlhttp.send();
			xmlhttp.onreadystatechange = function() {

				if (this.readyState == 4 && this.status == 200) {

					window.document.getElementById('div_cest').innerHTML = this.responseText;
				}
			};

		}



		function sugere_valor(t,tipo) {
		
			var categoria = t.value;
			var custo = window.document.cadastro.valorCusto.value;
			var margem = window.document.cadastro.margem.value;
			
			window.document.getElementById('sugestao_preco').innerHTML = 'Calculando...';
			frame_interno('cadastro_produto.php?".cactux_cookie::url_sistema()."&acao=sugere_valor&categoria='+categoria+'&custo='+custo+'&margem='+margem+'&tipo='+tipo);
		
		}


		// Get the modal
		var modal = window.document.getElementById('myModal');

		// Get the <span> element that closes the modal
		var span = window.document.getElementsByClassName('close')[0];



		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		    modal.style.display = 'none';

		    window.document.getElementById('estoqueAtual').focus();
		}

		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		    if (event.target == modal) {
		        modal.style.display = 'none';
			    window.document.getElementById('estoqueAtual').focus();
		    }
		}

		var qtde = 0;

		function confirmar(){
			
			if (qtde == 0)
				modal.style.display = 'block';

			qtde = qtde+1;
		}
	");
	
}


function imprime_busca(){
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	cabecaRelatorio('Cadastro de Produtos',2);

	
	
	//CONSULTA
	$c[] = cactux::texto('Código',$_POST[busca_cod],1);
	$c[] = cactux::texto('Código de Barras',$_POST[busca_codbarras],2);
	$c[] = cactux::texto('Descrição',$_POST[busca_nome],4);
	$c[] = cactux::texto('Marca',$a_marca[marc_tx_nome],2);
	$c[] = cactux::texto('Categoria:',$a_cate[cate_tx_nome],3);
	//---------
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	//if($_SESSION[user_tx_nivel]=='Administrador')
		cactux::linha_fieldset($buscar,$inserir,$imprimir);
	//else	
	//	cactux::linha_fieldset($buscar,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	

	
	$cabecalho[] = array('CÓDIGO','CÓDIGO DE BARRAS','NOME','MARCA','CATEGORIA','ESTOQUE','VALOR VENDA','VALOR COMPRA','VALOR EM LOJA');
	$cabecalho[] = 'c,c,e,e,e,c,c,c,c,c,c,c';
	$cabecalho[] = '5%,13%,,10%,15%,10%,10%,10%,10%,2%,2%';
	
	while ( $a = carrega_array($sql) ){
		
		$depa = carregar('categoria',$a[prod_nb_categoria]);
		$a_marca = carregar('marca',$a[prod_nb_marca]);
		
		// if($_SESSION[user_tx_nivel]=='Administrador' OR $_SESSION[user_tx_nivel]=='Diretor' OR $_SESSION[user_tx_nivel]=='Comprador')
		$total_loja +=$a[prod_tx_valorCusto]*$a[prod_tx_qtde];
		
		$valores[] = array($a[prod_nb_id],$a[prod_tx_codbarras],$a[prod_tx_nome],$a_marca[marc_tx_nome],$depa[cate_tx_nome],mostra_valor($a[prod_tx_qtde]),
				'R$ '.mostra_valor($a[prod_tx_valorVenda]),'R$ '.mostra_valor($a[prod_tx_valorCusto]),'R$ '.mostra_valor($a[prod_tx_valorCusto]*$a[prod_tx_qtde],1));
		
	}
	
	$valores[] = array('','','','','','','','<b>TOTAL','<b>R$ '.mostra_valor($total_loja));
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}



function index(){

	
	if( $_POST[busca_cod] ){
		$extra .= " AND prod_nb_id='$_POST[busca_cod]'" ;
	}
	if( $_POST[busca_cod2] ){
		$extra .= " AND prod_tx_codigo='$_POST[busca_cod2]'" ;
	}
	
	if( $_POST[busca_codbarras] ){
		$extra .= " AND prod_tx_codbarras = '$_POST[busca_codbarras]'" ;
	}
	
	if( $_POST[busca_nome] !='' ){
		
		$extra .= " AND prod_tx_nome LIKE '%$_POST[busca_nome]%'";
	}
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	cabecalho('Cadastro de Produtos',2);
	
	$sql = selecionar($TABELA."produto",'prod_tx_status','ativo'," AND (prod_tx_servico != 'Sim' OR prod_tx_servico IS NULL) AND prod_nb_id > '99' $extra ORDER BY prod_tx_nome",1);

	
	$BUSCA  = grid::gerar_paginacao($sql,'','',50);
	
	//CONSULTA
	$c[] = cactux::campo('ID','busca_cod',$_POST[busca_cod],1);
	$c[] = cactux::campo('Código','busca_cod2',$_POST[busca_cod2],1);
	$c[] = cactux::campo('Código de Barras','busca_codbarras',$_POST[busca_codbarras],2);
	$c[] = cactux::campo('Descrição','busca_nome',str_replace("%20"," ",$_POST[busca_nome]),2);
	$c[] = cactux::combo_bd('!Marca:','busca_marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],2,'marca');
	$c[] = cactux::combo_bd('!Categoria:','busca_categoria',$a_cate[cate_nb_id],$a_cate[cate_tx_nome],2,'categoria');
	//---------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	//if($_SESSION[user_tx_nivel]=='Administrador')
		cactux::linha_fieldset($buscar,$inserir,$imprimir);
	//else	
	//	cactux::linha_fieldset($buscar,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	cactux::acao_botao('inserir','layout_produto');
	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank');
	
	$cabecalho[] = array('ID','CÓDIGO','CÓDIGO DE BARRAS','NOME','MARCA','CATEGORIA','ESTOQUE','VALOR','','');
	$cabecalho[] = 'c,c,c,e,e,e,e,e,c,c,c,c';
	$cabecalho[] = '5%,5%,10%,,15%,15%,10%,10%,2%,2%';
	
	while ( $a = carrega_array($BUSCA[0]) ){
		
		if($a[prod_nb_categoria])
			$a_cate = carregar('categoria',$a[prod_nb_categoria]);
		else
			$a_cate = '';
		
		// if($_SESSION[user_tx_nivel]=='Administrador' OR $_SESSION[user_tx_nivel]=='Diretor' OR $_SESSION[user_tx_nivel]=='Comprador')
			$excluir = ".icone_excluir($a[prod_nb_id],exclui_produto)";

		if($a[prod_nb_marca])
			$a_marc = carregar('marca',$a[prod_nb_marca]);
		else
			$a_marc[marc_tx_nome] = '';
			
		
		$valores[] = array($a[prod_nb_id],$a[prod_tx_codigo],$a[prod_tx_codbarras],$a[prod_tx_nome],$a_marc[marc_tx_nome],$a_cate[cate_tx_nome],mostra_valor($a[prod_tx_qtde]),
				'R$ '.mostra_valor($a[prod_tx_valorVenda]),".icone_modificar($a[prod_nb_id],modifica_produto)",$excluir);
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

CONTROLE();
?>